Name:           python-toucan-connectors
Version:        7.3.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Toucan Toco Connectors

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/toucan-connectors/
Source:         %{pypi_source toucan_connectors}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'toucan-connectors' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-toucan-connectors
Summary:        %{summary}

%description -n python3-toucan-connectors %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-toucan-connectors all,awsathena,azure-mssql,base,clickhouse,dataiku,elasticsearch,github,google-analytics,google-big-query,google-cloud-mysql,http-api,hubspot,mongo,odata,oracle-sql,peakina,postgres,redshift,sap-hana,snowflake,soap


%prep
%autosetup -p1 -n toucan_connectors-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,awsathena,azure-mssql,base,clickhouse,dataiku,elasticsearch,github,google-analytics,google-big-query,google-cloud-mysql,http-api,hubspot,mongo,odata,oracle-sql,peakina,postgres,redshift,sap-hana,snowflake,soap


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-toucan-connectors -f %{pyproject_files}


%changelog
%autochangelog